Bug 1568156 - Not able to import certain dialogs because of tag Id
Summary: Not able to import certain dialogs because of tag Id
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.2
Assignee: drew uhlmann
QA Contact: Shveta
URL:
Whiteboard:
Depends On: 1566266
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 21:22 UTC by Satoe Imaishi
Modified: 2018-05-07 20:49 UTC (History)
8 users (show)

Fixed In Version: 5.9.2.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1566266
Environment:
Last Closed: 2018-05-07 20:49:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1328 0 None None None 2018-05-07 20:49:33 UTC

Comment 2 CFME Bot 2018-04-16 21:41:24 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/a243a24507e5217237b7c85422e5a625dd84567d
commit a243a24507e5217237b7c85422e5a625dd84567d
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Apr 16 16:32:43 2018 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Apr 16 16:32:43 2018 -0400

    Merge pull request #17237 from branic/service_dialog_import_tag_category_id

    Handle non-existant tag category id when importing a service dialog
    (cherry picked from commit 7c2ef9c5ed0465560607f6d1b1737c0fca493659)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1568156

 app/models/dialog_field_importer.rb | 14 +-
 spec/models/dialog_field_importer_spec.rb | 142 +-
 2 files changed, 129 insertions(+), 27 deletions(-)

Comment 3 Shveta 2018-04-24 05:14:12 UTC
Fixed in 5.9.2.3.20180419182310_cab2891

Comment 6 errata-xmlrpc 2018-05-07 20:49:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1328


Note You need to log in before you can comment on or make changes to this bug.